using ConstructorApp.BusinessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Concrete
{
    public class FooterManager : IFooterService
    {
        private readonly IFooterDal _footerDal;

        public FooterManager(IFooterDal footerDal)
        {
            _footerDal = footerDal;
        }

        public void TAdd(Footer entity)
        {
            _footerDal.Add(entity);
        }

        public void TDelete(Footer entity)
        {
           _footerDal.Delete(entity);
        }

        public Footer TGetByID(int id)
        {
           return _footerDal.GetByID(id);
        }

        public Footer TGetFooterDetails()
        {
            return _footerDal.GetFooterDetails(); // Footer bilgilerini DAL'dan alır
        }

        public List<Footer> TGetListAll()
        {
            return _footerDal.GetListAll();
        }

        public void TUpdate(Footer entity)
        {
            _footerDal.Update(entity);
        }
    }
}
